summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2018-10-07 19:14:49 +0200
committerThorsten Leemhuis <fedora@leemhuis.info>2018-10-07 19:14:49 +0200
commit4a970c18581c495e10d16f73590ee99b252ad643 (patch)
treed2116fa677156932ffe345a9503ec9c4dfe11334 /scripts
parentd81e0b2f2ae9175dc1e1da62ffc539d4e6b7c850 (diff)
downloadkernel-4a970c18581c495e10d16f73590ee99b252ad643.tar.gz
kernel-4a970c18581c495e10d16f73590ee99b252ad643.tar.xz
kernel-4a970c18581c495e10d16f73590ee99b252ad643.zip
make scripts/rawhide-rc.sh usable for me
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/rawhide-rc.sh36
1 files changed, 24 insertions, 12 deletions
diff --git a/scripts/rawhide-rc.sh b/scripts/rawhide-rc.sh
index ba8b467b2..82e0e5224 100755
--- a/scripts/rawhide-rc.sh
+++ b/scripts/rawhide-rc.sh
@@ -1,19 +1,27 @@
#!/bin/sh
# Generate a commit for a rawhide RC release
+# update orgin
+~/usr/bin/vanilla-kernel-helper.sh masterupdate
+currentbranch=$(git symbolic-ref --short HEAD)
+if [[ "${currentbranch%-user-thl-vanilla-fedora}" == "rawhide" ]]; then
+ currentbranch="master"
+fi
+git merge --no-edit origin/${currentbranch%-user-thl-vanilla-fedora} || exit 1
+
source scripts/kernel-version.sh
-klist -s
-if [ ! $? -eq 0 ]; then
- echo "klist couldn't read the credential cache."
- echo "Do you need to fix your kerberos tokens?"
- exit 1
-fi
+#klist -s
+#if [ ! $? -eq 0 ]; then
+# echo "klist couldn't read the credential cache."
+# echo "Do you need to fix your kerberos tokens?"
+# exit 1
+#fi
-make release
+# make release
# fixup the release because rpmdev-bumpspec *sigh*
-scripts/fixup-bumpspec.sh
-fedpkg commit -c
+# scripts/fixup-bumpspec.sh
+# fedpkg commit -c
# Figure out what is our RC
RC=`grep "%global rcrev" kernel.spec| cut -d ' ' -f 3`
@@ -34,8 +42,12 @@ if [ ! -f patch-4.$BASE-rc$RC.xz ]; then
exit 1
fi
xz -9 patch-4.$BASE-rc$RC
- fedpkg upload patch-4.$BASE-rc$RC.xz
-fi
+
+ # fedpkg upload patch-4.$BASE-rc$RC.xz
+
+ checksum=$(sha512sum patch-4.$BASE-rc$RC.xz)
+ echo "SHA512 (patch-4.$BASE-rc$RC.xz) = ${checksum:0:128}" >> sources
+ fi
# bump rcrev in the spec and set git snapshot to 0
RC=$RC perl -p -i -e 's|%global rcrev.*|%global rcrev $ENV{'RC'}|' kernel.spec
@@ -44,6 +56,6 @@ perl -p -i -e 's|%define gitrev.*|%define gitrev 0|' kernel.spec
perl -p -i -e 's|%global baserelease.*|%global baserelease 0|' kernel.spec
-rpmdev-bumpspec -c "Linux v4.$BASE-rc$RC" kernel.spec
+# rpmdev-bumpspec -c "Linux v4.$BASE-rc$RC" kernel.spec
echo "Don't forget to bump kernel-tools"